### Type parameters

- #### TRequest: Request

- #### TOptions: CoreOptions

- #### TUriUrlOptions

### Hierarchy

- RequestAPI
  - DefaultUriUrlRequestApi

### Callable

- __call(uri: string, options?: TOptions, callback?: RequestCallback): TRequest
- __call(uri: string, callback?: RequestCallback): TRequest
- __call(options: TUriUrlOptions & TOptions, callback?: RequestCallback): TRequest

- - Defined in node_modules/@types/request/index.d.ts:33

  #### Parameters

  - ##### uri: string

  - ##### Optional options: TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:35

  #### Parameters

  - ##### uri: string

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:36

  #### Parameters

  - ##### options: TUriUrlOptions & TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

## Index

### Properties

- debug

### Methods

- cookie
- defaults
- del
- delete
- forever
- get
- head
- initParams
- jar
- patch
- post
- put

## Properties

### debug

debug: boolean

- Defined in node_modules/@types/request/index.d.ts:74

## Methods

### cookie

- cookie(str: string): Cookie | undefined

- - Defined in node_modules/@types/request/index.d.ts:72

  #### Parameters

  - ##### str: string

  #### Returns Cookie | undefined

### defaults

- defaults(options: TOptions): RequestAPI<TRequest, TOptions, RequiredUriUrl>
- defaults(options: RequiredUriUrl & TOptions): DefaultUriUrlRequestApi<TRequest, TOptions, OptionalUriUrl>

- - Defined in node_modules/@types/request/index.d.ts:32

  #### Parameters

  - ##### options: TOptions

  #### Returns RequestAPI<TRequest, TOptions, RequiredUriUrl>

- - Defined in node_modules/@types/request/index.d.ts:33

  #### Parameters

  - ##### options: RequiredUriUrl & TOptions

  #### Returns DefaultUriUrlRequestApi<TRequest, TOptions, OptionalUriUrl>

### del

- del(uri: string, options?: TOptions, callback?: RequestCallback): TRequest
- del(uri: string, callback?: RequestCallback): TRequest
- del(options: TUriUrlOptions & TOptions, callback?: RequestCallback): TRequest

- - Defined in node_modules/@types/request/index.d.ts:59

  #### Parameters

  - ##### uri: string

  - ##### Optional options: TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:60

  #### Parameters

  - ##### uri: string

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:61

  #### Parameters

  - ##### options: TUriUrlOptions & TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

### delete

- delete(uri: string, options?: TOptions, callback?: RequestCallback): TRequest
- delete(uri: string, callback?: RequestCallback): TRequest
- delete(options: TUriUrlOptions & TOptions, callback?: RequestCallback): TRequest

- - Defined in node_modules/@types/request/index.d.ts:63

  #### Parameters

  - ##### uri: string

  - ##### Optional options: TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:64

  #### Parameters

  - ##### uri: string

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:65

  #### Parameters

  - ##### options: TUriUrlOptions & TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

### forever

- forever(agentOptions: any, optionsArg: any): TRequest

- - Defined in node_modules/@types/request/index.d.ts:70

  #### Parameters

  - ##### agentOptions: any

  - ##### optionsArg: any

  #### Returns TRequest

### get

- get(uri: string, options?: TOptions, callback?: RequestCallback): TRequest
- get(uri: string, callback?: RequestCallback): TRequest
- get(options: TUriUrlOptions & TOptions, callback?: RequestCallback): TRequest

- - Defined in node_modules/@types/request/index.d.ts:39

  #### Parameters

  - ##### uri: string

  - ##### Optional options: TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:40

  #### Parameters

  - ##### uri: string

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:41

  #### Parameters

  - ##### options: TUriUrlOptions & TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

### head

- head(uri: string, options?: TOptions, callback?: RequestCallback): TRequest
- head(uri: string, callback?: RequestCallback): TRequest
- head(options: TUriUrlOptions & TOptions, callback?: RequestCallback): TRequest

- - Defined in node_modules/@types/request/index.d.ts:51

  #### Parameters

  - ##### uri: string

  - ##### Optional options: TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:52

  #### Parameters

  - ##### uri: string

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:53

  #### Parameters

  - ##### options: TUriUrlOptions & TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

### initParams

- initParams(uri: string, options?: TOptions, callback?: RequestCallback): RequiredUriUrl & TOptions
- initParams(uriOrOpts: string | RequiredUriUrl & TOptions, callback?: RequestCallback): RequiredUriUrl & TOptions

- - Defined in node_modules/@types/request/index.d.ts:67

  #### Parameters

  - ##### uri: string

  - ##### Optional options: TOptions

  - ##### Optional callback: RequestCallback

  #### Returns RequiredUriUrl & TOptions

- - Defined in node_modules/@types/request/index.d.ts:68

  #### Parameters

  - ##### uriOrOpts: string | RequiredUriUrl & TOptions

  - ##### Optional callback: RequestCallback

  #### Returns RequiredUriUrl & TOptions

### jar

- jar(store?: any): CookieJar

- - Defined in node_modules/@types/request/index.d.ts:71

  #### Parameters

  - ##### Optional store: any

  #### Returns CookieJar

### patch

- patch(uri: string, options?: TOptions, callback?: RequestCallback): TRequest
- patch(uri: string, callback?: RequestCallback): TRequest
- patch(options: TUriUrlOptions & TOptions, callback?: RequestCallback): TRequest

- - Defined in node_modules/@types/request/index.d.ts:55

  #### Parameters

  - ##### uri: string

  - ##### Optional options: TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:56

  #### Parameters

  - ##### uri: string

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:57

  #### Parameters

  - ##### options: TUriUrlOptions & TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

### post

- post(uri: string, options?: TOptions, callback?: RequestCallback): TRequest
- post(uri: string, callback?: RequestCallback): TRequest
- post(options: TUriUrlOptions & TOptions, callback?: RequestCallback): TRequest

- - Defined in node_modules/@types/request/index.d.ts:43

  #### Parameters

  - ##### uri: string

  - ##### Optional options: TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:44

  #### Parameters

  - ##### uri: string

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:45

  #### Parameters

  - ##### options: TUriUrlOptions & TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

### put

- put(uri: string, options?: TOptions, callback?: RequestCallback): TRequest
- put(uri: string, callback?: RequestCallback): TRequest
- put(options: TUriUrlOptions & TOptions, callback?: RequestCallback): TRequest

- - Defined in node_modules/@types/request/index.d.ts:47

  #### Parameters

  - ##### uri: string

  - ##### Optional options: TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:48

  #### Parameters

  - ##### uri: string

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

- - Defined in node_modules/@types/request/index.d.ts:49

  #### Parameters

  - ##### options: TUriUrlOptions & TOptions

  - ##### Optional callback: RequestCallback

  #### Returns TRequest

Generated using TypeDoc